Package io.github.jdbcx.dialect

# Class DefaultDialect

java.lang.Object
io.github.jdbcx.dialect.DefaultDialect

All Implemented Interfaces:
  `JdbcDialect`

public final class DefaultDialect extends Object implements JdbcDialect

## Method Summary

Modifier and Type
Method
Description
`static JdbcDialect`
`getInstance()`
`ResultMapper`
`getMapper()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.JdbcDialect

`getRemoteTable, getValueFactory, getVariableTag, supportMultipleResultSetsPerStatement`

## Method Details

### getInstance

public static JdbcDialect getInstance()

### getMapper

public ResultMapper getMapper()

Specified by:
  `getMapper` in interface `JdbcDialect`